# pandas.CategoricalIndex.remove_categories

`CategoricalIndex.``remove_categories`(*args, **kwargs)

  Remove the specified categories.

  removals must be included in the old categories. Values which were in the removed categories will be set to NaN

  Parameters:

  removals : category or list of categories

  > The categories which should be removed.

  inplace : bool, default False

  > Whether or not to remove the categories inplace or return a copy of this categorical with removed categories.

  Returns: | cat : Categorical with removed categories or None if inplace.

  Raises:

  ValueError

  > If the removals are not contained in the categories

  See also

  `rename_categories`, `reorder_categories`, `add_categories`, `remove_unused_categories`, `set_categories`

Scroll To Top